Bug 145340 - RFE: Specify search domains for NetworkManager
RFE: Specify search domains for NetworkManager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
bzcl34nup
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 11:47 EST by Sean Dilda
Modified: 2010-09-06 16:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 16:48:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2005-01-17 11:47:34 EST
There are a couple of work-related domains that I like to keep in my
dns search path, no matter what network my laptop is attached to. 
Normally I handle this by setting up a static /etc/resolv.conf and
setting 'PEERDNS=no' in the ifcfg scripts for my network interfaces.

Unfortunately, NetworkManager doesn't respect the PEERDNS flag.  As
such, I'd like to see an option to specify a set of search domains
that NetworkManager will always prepend to the search path in
/etc/resolv.conf.  That, or have NetworkManager respect the PEERDNS
flag and not touch my resolv.conf.
Comment 1 Andy Piper 2005-01-28 12:22:21 EST
Seconded. I uninstalled NetworkManager when I realised it was messing
with my /etc/resolv.conf. I really want it to use my local nameserver
on my network and not using a local copy of bind.
Comment 2 Dan Williams 2005-01-28 14:25:59 EST
Eventually, we'll be using lwresd + nss_lwres so people don't have to
install the pile of security-holes that is bind :)  But for the
moment, the glibc resolver doesn't not support features that we'll
need, especially for VPN support in network manager (ie, split DNS). 
glibc guys don't want to add that stuff into the glibc resolver, and
suggested lwresd instead.

Don't worry, NetworkManager still uses the resolver on your network,
but the local namerserver will be caching only.  And bind _will_ go
away soon.
Comment 3 Dan Williams 2005-01-29 17:40:50 EST
-> Colin
Comment 4 Matthew Miller 2006-07-10 18:30:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 petrosyan 2008-03-10 01:42:36 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 6 Bug Zapper 2008-04-03 21:53:22 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Dan Williams 2008-05-05 16:48:41 EDT
Fixed in 0.7 in F8 and later.  You can add search domains from the connection
editor.
Comment 8 daniel flesner 2008-10-29 12:52:36 EDT
this is broken again in 0.7.0. i could for one release add a prepend search field, but as of the latest fedora 8 and NetworkManager 0.7.0 i only have 2 options with "DHCP automatic" with search domains greyed out and "DHCP addresses only", where i have to specifiy all settings (i have to know the DNS settings on all networks i attach too?). i simply want to prepend to the search list as i used to do with the dhclient-wlan0?

thanks,
daniel
Comment 9 Michael S. Tsirkin 2010-09-06 16:06:35 EDT
maybe you know this already, but a solution that works
currently is to create /etc/dhclient-wlan0.conf and put the prepend line there:
prepend domain-name-servers 127.0.0.1;

network manager will merge this file into its own config
before running dhclient.
tested on fedora 13.

Note You need to log in before you can comment on or make changes to this bug.